%global srcname setuptools_scm
%global sum the blessed package to manage your versions by scm tags

Name:           python-%{srcname}
Version:        1.17.0
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/a7/52/5f84da9ee2780682795550ddea20bec3e604a8a82600f4e5d3a6ca0bcbcd/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%description
setuptools_scm handles managing your python package versions in scm
metadata instead of declaring them as the version argument or in a scm
managed file.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
setuptools_scm handles managing your python package versions in scm
metadata instead of declaring them as the version argument or in a scm
managed file.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
setuptools_scm handles managing your python package versions in scm
metadata instead of declaring them as the version argument or in a scm
managed file.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install
%py3_install

#check
#{__python2} setup.py test
#{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun Mar 25 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.17.0-1
- initial spec file
